/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.ConsultoresDatos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ConsultoresDatosFacadeLocal {

    void create(ConsultoresDatos consultoresDatos);

    void edit(ConsultoresDatos consultoresDatos);

    void remove(ConsultoresDatos consultoresDatos);

    ConsultoresDatos find(Object id);

    List<ConsultoresDatos> findAll();

    List<ConsultoresDatos> findRange(int[] range);

    int count();

    ConsultoresDatos DatosDeConsultor(String consultorCodigo);

}
